<?php
use WpBookingEvent\Factory;
use WpBookingEvent\Html\WpBookingEventHtmlBackend;
use WpBookingEvent\Language\Text;
use WpBookingEvent\Mvc\Model\Model;
use WpBookingEvent\Utilities\Utility;
defined('_WPBOOKINGEVENT_EXEC') or die;
extract($displayData);

$id_by_name = "element_field_" . str_replace(array('[', ']'), '_', $name);

$month = array('Jan','Feb' ,'Mar' ,'Apr' ,'May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');

if(isset($value) && trim($value) != '') {
    $arr_value= json_decode($value);
} else {
    $arr_value=array();
}
?>
    <div id="<?php esc_html_e($id_by_name) ?>" class="<?php esc_html_e($class); ?> element-field-selectmonth">
        <?php foreach ($month as $monthName) {?>
            <label class="name-month-of-year">
                <input type='checkbox' class="month-of-year" value="<?php esc_html_e($monthName);?>" <?php echo(in_array($monthName,$arr_value)? 'checked':''); ?>/>
                <?php esc_html_e($monthName);?>
            </label>
        <?php }?>
        <input type="hidden" name="<?php esc_html_e($name);?>">
    </div>
<?php
$doc = Factory::getDocument();
WpBookingEventHtmlBackend::load_jquery_library('icheck');
$doc->addLessStyleSheet('admin/app/layouts/WooBooking/form/field/selectmonth/selectmonth.less');
$doc->addScriptApplySelector('.element-field-selectmonth','field_selectmonth',array(
        'input_name'=>$name,
        'value'=>$arr_value
),'admin/app/layouts/WooBooking/form/field/selectmonth/selectmonth.jquery.js');
